kroneProfi = {};

function kroneProfi.prerequisitesPresent(specializations)
    return true;
end;

function kroneProfi:load(xmlFile)
	self.isLeftOpen = false;
	self.isRightOpen = false;
end;

function kroneProfi:delete()
end;

function kroneProfi:readStream(streamId, connection)	
end;

function kroneProfi:writeStream(streamId, connection)
end;

function kroneProfi:mouseEvent(posX, posY, isDown, isUp, button)
end;

function kroneProfi:keyEvent(unicode, sym, modifier, isDown)
end;

function kroneProfi:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.KronePlane_LEFT) then
			if self.isLeftOpen then
				self:setAnimationTime(1, self.animationParts[1].startPosition);
			else
				self:setAnimationTime(1, self.animationParts[1].animDuration);
			end;
		end;
		if InputBinding.hasEvent(InputBinding.KronePlane_RIGHT) then
			if self.isRightOpen then
				self:setAnimationTime(2, self.animationParts[2].startPosition);
			else
				self:setAnimationTime(2, self.animationParts[2].animDuration);
			end;
		end;
	end;
	self.isLeftOpen = self.animationParts[1].clipEndTime;
	self.isRightOpen = self.animationParts[2].clipEndTime;
end;

function kroneProfi:updateTick(dt)
end;

function kroneProfi:draw()
	if self.isLeftOpen then
		g_currentMission:addHelpButtonText(g_i18n:getText("PlaneRight2"), InputBinding.KronePlane_LEFT);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("PlaneRight1"), InputBinding.KronePlane_LEFT);
	end;
	if self.isRightOpen then
		g_currentMission:addHelpButtonText(g_i18n:getText("PlaneLeft2"), InputBinding.KronePlane_RIGHT);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("PlaneLeft1"), InputBinding.KronePlane_RIGHT);
	end;
end;